GNU bug report logs - #14243
24.3; Shell mode file name expansion case-sensitive on Mac OS X

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: ua2y-rti1@HIDDEN; merged with #14507; dated Mon, 22 Apr 2013 16:24:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 14243 <at> debbugs.gnu.org:


Received: (at 14243) by debbugs.gnu.org; 31 May 2016 13:18:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 31 09:18:09 2016
Received: from localhost ([127.0.0.1]:48127 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b7jYe-0008Vl-Rj
	for submit <at> debbugs.gnu.org; Tue, 31 May 2016 09:18:09 -0400
Received: from mail-qg0-f44.google.com ([209.85.192.44]:34922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric.hanchrow@HIDDEN>)
 id 1b7jYZ-0008V2-PV; Tue, 31 May 2016 09:18:04 -0400
Received: by mail-qg0-f44.google.com with SMTP id e93so90787388qgf.2;
 Tue, 31 May 2016 06:18:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=tW0ltj5yswdgxi1uKn8qRe4gJ6Ml9nVdli2ekLQbH3g=;
 b=NkUkkzX7aAwwqgh2kxgYD83+9WK/9/e4tSqvMNYB4q2UZ0Ku93pj41fkRjT4dl/uMu
 nmY8aEnk0ckiaMJnbhVjnXJxkrAUwiBYUCHDHROgYVyDOb3jTdYR2/NNLRj6pfjDyA/H
 JX37lN2X93b7wwt5Ua9+qQjp2XuCc+O+cfoL0o2RvNKsNOkZctGp38Y2a8gwu8ZQ7JZ/
 LpBb14LmGkcnLJlC5UgxQcItGkJpBR6ZuqcOnntyvH9OJGLC76R00sZDlK8bf8lx6g3U
 /qIUePnEG7bL3e1eBhiWIcGnT0ZfzdJmgampKHnFZmop1AJw3nga1av5DNctKFr9TDF8
 JPAQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=tW0ltj5yswdgxi1uKn8qRe4gJ6Ml9nVdli2ekLQbH3g=;
 b=ZpbhLpuI+CAyXP7kUTLOOR4t369p1fc9e20Ni6t73+tA8HYk8LToE88PoIeAIJa/iP
 nCbzD0LHRFK8AMySyOeJXTch7jx+buzVvPMUCKv5cXZ5qcQdMjY6zY8z1Z3JSzUDe/FY
 OBKnw1OrpPbJ7h0r408YuAbd8wi2jDj04ZRIvF1iW2hgTIHydWZqvMoyMXI4RIhGfUcn
 IO9RLydhXVa4ca5Hjkk1Q+XlIqMsa88yHUrhbZopzbyFvh2JxmE888mGPNOPlNmPeugi
 jyasyQ7vIcLqW0+8YfkqyuiGL9HogY/BNzjW2XhE3jWq4OVShRx7QV+/fLTCNC0Ic3Ch
 upcA==
X-Gm-Message-State: ALyK8tL/HTvV0WZ3vpM0ut6Jd2yXCqduYr1cngIA72aZqR7BQ+nq5kRVgaupPVOVvtHcemxf+meTcSbGvE7D2g==
X-Received: by 10.140.39.199 with SMTP id v65mr29942005qgv.92.1464700678242;
 Tue, 31 May 2016 06:17:58 -0700 (PDT)
MIME-Version: 1.0
References: <CAHZoxq9q_rx8Ua3EofaAtv0=SQNu8xVVdQzP=3pQseryPg89Ow@HIDDEN>
 <m2d1oa6k9w.fsf@HIDDEN>
 <CAHZoxq_c=7JqvZURU0nWBO9a-6Rp8pX7pmg0xZXapRPvZBO5oA@HIDDEN>
 <20160525193422.GA2944@HIDDEN>
In-Reply-To: <20160525193422.GA2944@HIDDEN>
From: Eric Hanchrow <eric.hanchrow@HIDDEN>
Date: Tue, 31 May 2016 13:17:48 +0000
Message-ID: <CAHZoxq-VauQWFZpTBS03uo4JnQ9XzRrPnOc=R2vm4EpvgY-a2w@HIDDEN>
Subject: Re: bug#14507: 24.3; TAB in shell mode never ignores case, even
 though I want it to
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=001a11c1205ea1258305342333bc
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14243
Cc: 14507 <at> debbugs.gnu.org, 14243 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a11c1205ea1258305342333bc
Content-Type: text/plain; charset=UTF-8

For what it's worth, the problem doesn't repro in emacs23 (specifically,
this commit)
commit c7205e5
Author: Aidan Gauland <aidalgol@HIDDEN>
Date: 2013-02-08 09:44:17 -0500

* doc/misc/eshell.texi: Fill most of the missing sections.

:100644 100644 e05048c... 9fcaa5c... M doc/misc/eshell.texi

On Wed, May 25, 2016 at 12:34 PM Alan Third <alan@HIDDEN> wrote:

> On Wed, May 25, 2016 at 07:18:55PM +0000, Eric Hanchrow wrote:
> > So you're saying that
> >
> > a) Emacs is deferring to Bash to do the completion in this case; and
> > b) bash is not ignoring case?
> >
> > I find both of those hard to believe -- particularly since if I type "cd
> > doc" at a shell prompt that's not inside emacs, but is in a Terminal.app,
> > it does what I want (namely: completes to "cd Documents").
> >
> > If a) is in fact correct, then I suppose Emacs is somehow starting the
> > shell differently than Terminal.app is.
>
> OK, I think I was talking rubbish. It looks like Emacs does do the
> completion.
>
> (BTW, this bug looks like it's OS X specific in debbugs even though
> it's reproducible in a GTK+ build on GNU/Linux too.)
> --
> Alan Third
>

--001a11c1205ea1258305342333bc
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">For what it&#39;s worth, the problem doesn&#39;t repro in =
emacs23 (specifically, this commit)<br>commit c7205e5 <br>Author: Aidan Gau=
land &lt;<a href=3D"mailto:aidalgol@HIDDEN">aidalgol@no8wireless=
.co.nz</a>&gt; <br>Date:   2013-02-08 09:44:17 -0500 <br><br>    * doc/misc=
/eshell.texi: Fill most of the missing sections. <br><br>:100644 100644 e05=
048c... 9fcaa5c... M  doc/misc/eshell.texi<br></div><br><div class=3D"gmail=
_quote"><div dir=3D"ltr">On Wed, May 25, 2016 at 12:34 PM Alan Third &lt;<a=
 href=3D"mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; wrote:<br></div><b=
lockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px =
#ccc solid;padding-left:1ex">On Wed, May 25, 2016 at 07:18:55PM +0000, Eric=
 Hanchrow wrote:<br>
&gt; So you&#39;re saying that<br>
&gt;<br>
&gt; a) Emacs is deferring to Bash to do the completion in this case; and<b=
r>
&gt; b) bash is not ignoring case?<br>
&gt;<br>
&gt; I find both of those hard to believe -- particularly since if I type &=
quot;cd<br>
&gt; doc&quot; at a shell prompt that&#39;s not inside emacs, but is in a T=
erminal.app,<br>
&gt; it does what I want (namely: completes to &quot;cd Documents&quot;).<b=
r>
&gt;<br>
&gt; If a) is in fact correct, then I suppose Emacs is somehow starting the=
<br>
&gt; shell differently than Terminal.app is.<br>
<br>
OK, I think I was talking rubbish. It looks like Emacs does do the<br>
completion.<br>
<br>
(BTW, this bug looks like it&#39;s OS X specific in debbugs even though<br>
it&#39;s reproducible in a GTK+ build on GNU/Linux too.)<br>
--<br>
Alan Third<br>
</blockquote></div>

--001a11c1205ea1258305342333bc--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14243; Package emacs. Full text available.
Removed tag(s) notabug. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 14243 <at> debbugs.gnu.org:


Received: (at 14243) by debbugs.gnu.org; 25 May 2016 19:34:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 25 15:34:32 2016
Received: from localhost ([127.0.0.1]:38605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b5eZc-0000BU-LH
	for submit <at> debbugs.gnu.org; Wed, 25 May 2016 15:34:32 -0400
Received: from mail-wm0-f45.google.com ([74.125.82.45]:37962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>)
 id 1b5eZb-0000BC-2d; Wed, 25 May 2016 15:34:31 -0400
Received: by mail-wm0-f45.google.com with SMTP id n129so75086119wmn.1;
 Wed, 25 May 2016 12:34:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:in-reply-to:user-agent;
 bh=7IIV7Zq/18fuYOl/vPsshMvvL5nJI/SLBVye8rnbmOw=;
 b=xDhLceN4diMUe70qbKsXzIec5jIMCquJIXGPn+2les6X93LPyPOZ30Mlmc31UFdtKz
 loI5kt015e9fSmX5XO26RWjapdNBR5IdAxKAqbnjpf61OKWHgFeTlpMKmUnEV1JyiO2A
 sZnrjbgr+6wMU4NQa/h9N4fJvo4Yp4ZvnZ57aIoUmxpiMiJtosHxy20XTV05jN67XgTz
 IZCTiLNhWmwBFKZyjF8RpPIdxlrqOYWZcO5aHVfintIYj1HsVzKiOiu08L34D2E6GJ+p
 HoUbiXqosFOa3kXnuo6zZKm2WXQOK+rLL4dfrcPAVVeGhkfXtZV11jKcflKoghYpAz//
 mWhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:date:from:to:cc:subject:message-id
 :references:mime-version:content-disposition:in-reply-to:user-agent;
 bh=7IIV7Zq/18fuYOl/vPsshMvvL5nJI/SLBVye8rnbmOw=;
 b=E+5HzbfPGaJsl6Le6vyQAvzZpZ3Q0Tk5pvXxbJajWR4w3BSwh64rmYaQ5iq9/ZVg86
 TfrCgSqy0zPLKKBC1FbCjCWL7XeKwlY9pQUwymMvu3iLQvMxV9Z39tJXAC0wvt+BrwXj
 0dSGRm1dMaG9q6rkGabac+TSFDFiJJ+/036bwEKgSu2jB+hZiKnsSU/n4mAoYZqg8S+K
 rlLcdZxmjP8OD/M3gkXTH95hOEEUqo3QrLgxmNeD/dIaLhidJPW26t/lqJImSvUFMclB
 CfFPw3yEKl07+kDHgXrn1vsplB8fQieyXiTgAB7Loi5JBxL3TP+ay9iYv5Hai4W7FJ2m
 xmFA==
X-Gm-Message-State: ALyK8tJ23vHThD3WF3uqwvJLWxFfmLtXnpIynf4dEjH3lntlFJm4Sewr31qhbVAS/k10UQ==
X-Received: by 10.194.143.51 with SMTP id sb19mr6424608wjb.175.1464204864950; 
 Wed, 25 May 2016 12:34:24 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-7175-fea4-ded1-da32.holly.idiocy.org.
 [2001:8b0:3f8:8129:7175:fea4:ded1:da32])
 by smtp.gmail.com with ESMTPSA id y1sm8499731wjg.10.2016.05.25.12.34.23
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 25 May 2016 12:34:24 -0700 (PDT)
Date: Wed, 25 May 2016 20:34:22 +0100
From: Alan Third <alan@HIDDEN>
To: Eric Hanchrow <eric.hanchrow@HIDDEN>
Subject: Re: bug#14507: 24.3; TAB in shell mode never ignores case, even
 though I want it to
Message-ID: <20160525193422.GA2944@HIDDEN>
References: <CAHZoxq9q_rx8Ua3EofaAtv0=SQNu8xVVdQzP=3pQseryPg89Ow@HIDDEN>
 <m2d1oa6k9w.fsf@HIDDEN>
 <CAHZoxq_c=7JqvZURU0nWBO9a-6Rp8pX7pmg0xZXapRPvZBO5oA@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAHZoxq_c=7JqvZURU0nWBO9a-6Rp8pX7pmg0xZXapRPvZBO5oA@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14243
Cc: 14507 <at> debbugs.gnu.org, 14243 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On Wed, May 25, 2016 at 07:18:55PM +0000, Eric Hanchrow wrote:
> So you're saying that
> 
> a) Emacs is deferring to Bash to do the completion in this case; and
> b) bash is not ignoring case?
> 
> I find both of those hard to believe -- particularly since if I type "cd
> doc" at a shell prompt that's not inside emacs, but is in a Terminal.app,
> it does what I want (namely: completes to "cd Documents").
> 
> If a) is in fact correct, then I suppose Emacs is somehow starting the
> shell differently than Terminal.app is.

OK, I think I was talking rubbish. It looks like Emacs does do the
completion.

(BTW, this bug looks like it's OS X specific in debbugs even though
it's reproducible in a GTK+ build on GNU/Linux too.)
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14243; Package emacs. Full text available.

Message received at 14243 <at> debbugs.gnu.org:


Received: (at 14243) by debbugs.gnu.org; 25 May 2016 19:19:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 25 15:19:14 2016
Received: from localhost ([127.0.0.1]:38589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b5eKo-0008Ew-HA
	for submit <at> debbugs.gnu.org; Wed, 25 May 2016 15:19:14 -0400
Received: from mail-qk0-f169.google.com ([209.85.220.169]:36690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric.hanchrow@HIDDEN>)
 id 1b5eKl-0008Ec-Ix; Wed, 25 May 2016 15:19:12 -0400
Received: by mail-qk0-f169.google.com with SMTP id x7so41792263qkd.3;
 Wed, 25 May 2016 12:19:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=lpKAmg+7I0NsELG7qtZ1pkGTQg4qjCSarL/6iG4YDxY=;
 b=qaTo+PPKqcGpypsCsvzf5tmB/2Y0i4ddVov5k6xkad6E4dOe4fGRlitkDtIynDtId+
 kURpJsM/1oQUOYS9zQRpQFjVDnFX/QVpwjmjSESmaXj7LKOhOPfAkz/R/MAxlD4SS8sA
 yjRPkQANneANHIOWLYuG+Cr06LI7MvRiYdeSgPjpvMAQD1yg6XhaQ9wolqtXWQL7xZFl
 WBCA5pkPJzCfOaVTqgjQ0F9qq4MP7hl1pOkIukNV2E5gFSnanL2BCXX8a2FVlEQzXQco
 3YfbROx96rfJgo4etfvU+4HldYz6WDQjghMLAKTnH5xYOBVOikgekh8ka/CIjkweFCyv
 Y6ZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=lpKAmg+7I0NsELG7qtZ1pkGTQg4qjCSarL/6iG4YDxY=;
 b=N/EUU5pRUtdg99qNUMHu0MG6en91NuVhVYhaJdGFO22A4g+9dKgcFnCJNjm6VKjac2
 lFtgRFsWklq/eFo34+pCjUVqBdalW0WJVFhznQw9EGsquM8eZGgpNhEM1ZUJZ9c8Jma/
 Xb//iSfFXUEteurnyW+B5evLAWr/3qP2Wv/UewHJOFy/pb8lT1nk++iL258vxriQvNcs
 z7xcjft9xT0FLexdMXBdt6xJTwrM31oIPDesKUSmyIgL5/5T5j54nUt6fDhjMYOru/QJ
 ObWBG/kXsvkxB7oZn0WVm7Fof6CgT/wGBCDhXschaZFEEuo5jdtlCgh/Pl3NqiJidJXo
 L0Pg==
X-Gm-Message-State: ALyK8tLEJvBUH9S8j8CIOvEmRxeub8nc715dOim1+uQjjhP/OE+5UqpA042WeVd9gyItBmq9mqNk4u+YM3tZig==
X-Received: by 10.55.78.9 with SMTP id c9mr5544105qkb.0.1464203945703; Wed, 25
 May 2016 12:19:05 -0700 (PDT)
MIME-Version: 1.0
References: <CAHZoxq9q_rx8Ua3EofaAtv0=SQNu8xVVdQzP=3pQseryPg89Ow@HIDDEN>
 <m2d1oa6k9w.fsf@HIDDEN>
In-Reply-To: <m2d1oa6k9w.fsf@HIDDEN>
From: Eric Hanchrow <eric.hanchrow@HIDDEN>
Date: Wed, 25 May 2016 19:18:55 +0000
Message-ID: <CAHZoxq_c=7JqvZURU0nWBO9a-6Rp8pX7pmg0xZXapRPvZBO5oA@HIDDEN>
Subject: Re: bug#14507: 24.3; TAB in shell mode never ignores case, even
 though I want it to
To: Alan Third <alan@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114a8a520ffd4e0533af8c6c
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14243
Cc: 14507 <at> debbugs.gnu.org, 14243 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a114a8a520ffd4e0533af8c6c
Content-Type: text/plain; charset=UTF-8

So you're saying that

a) Emacs is deferring to Bash to do the completion in this case; and
b) bash is not ignoring case?

I find both of those hard to believe -- particularly since if I type "cd
doc" at a shell prompt that's not inside emacs, but is in a Terminal.app,
it does what I want (namely: completes to "cd Documents").

If a) is in fact correct, then I suppose Emacs is somehow starting the
shell differently than Terminal.app is.

On Wed, May 25, 2016 at 11:54 AM Alan Third <alan@HIDDEN> wrote:

> Eric Hanchrow <eric.hanchrow@HIDDEN> writes:
>
> > I started emacs with
> >
> > /Applications/Emacs.app/Contents/MacOS/Emacs -Q
> >
> > I typed M-x shell RET
> >
> > At the shell prompt, I typed "cd doc", then I hit the TAB key. The
> > shell's current directory was my home directory, and that directory
> > contains a subdirectory named "Documents". I expected the TAB key to
> > complete the name "Documents", but it just beeped. I then did M-: (setq
> > completion-ignore-case t) RET, and tried again, but it still just
> > beeped.
>
> Hi, sorry it's taken so long for someone to get back to you, but this
> isn't Emacs's filename completion, this is the shells. Probably bash.
> I'm afraid I can't help you with that.
> --
> Alan Third
>

--001a114a8a520ffd4e0533af8c6c
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">So you&#39;re saying that=C2=A0<div><br></div><div>a) Emac=
s is deferring to Bash to do the completion in this case; and</div><div>b) =
bash is not ignoring case?</div><div><br></div><div>I find both of those ha=
rd to believe -- particularly since if I type &quot;cd doc&quot; at a shell=
 prompt that&#39;s not inside emacs, but is in a Terminal.app, it does what=
 I want (namely: completes to &quot;cd Documents&quot;).</div><div><br></di=
v><div>If a) is in fact correct, then I suppose Emacs is somehow starting t=
he shell differently than Terminal.app is.</div></div><br><div class=3D"gma=
il_quote"><div dir=3D"ltr">On Wed, May 25, 2016 at 11:54 AM Alan Third &lt;=
<a href=3D"mailto:alan@HIDDEN">alan@HIDDEN</a>&gt; wrote:<br></div>=
<blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1p=
x #ccc solid;padding-left:1ex">Eric Hanchrow &lt;<a href=3D"mailto:eric.han=
chrow@HIDDEN" target=3D"_blank">eric.hanchrow@HIDDEN</a>&gt; writes:<=
br>
<br>
&gt; I started emacs with<br>
&gt;<br>
&gt; /Applications/Emacs.app/Contents/MacOS/Emacs -Q<br>
&gt;<br>
&gt; I typed M-x shell RET<br>
&gt;<br>
&gt; At the shell prompt, I typed &quot;cd doc&quot;, then I hit the TAB ke=
y. The<br>
&gt; shell&#39;s current directory was my home directory, and that director=
y<br>
&gt; contains a subdirectory named &quot;Documents&quot;. I expected the TA=
B key to<br>
&gt; complete the name &quot;Documents&quot;, but it just beeped. I then di=
d M-: (setq<br>
&gt; completion-ignore-case t) RET, and tried again, but it still just<br>
&gt; beeped.<br>
<br>
Hi, sorry it&#39;s taken so long for someone to get back to you, but this<b=
r>
isn&#39;t Emacs&#39;s filename completion, this is the shells. Probably bas=
h.<br>
I&#39;m afraid I can&#39;t help you with that.<br>
--<br>
Alan Third<br>
</blockquote></div>

--001a114a8a520ffd4e0533af8c6c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14243; Package emacs. Full text available.
bug closed, send any further explanations to 14243 <at> debbugs.gnu.org and ua2y-rti1@HIDDEN Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Alan Third <alan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 14243 <at> debbugs.gnu.org:


Received: (at 14243) by debbugs.gnu.org; 25 May 2016 18:54:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 25 14:54:27 2016
Received: from localhost ([127.0.0.1]:38570 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b5dwp-0005ys-M8
	for submit <at> debbugs.gnu.org; Wed, 25 May 2016 14:54:27 -0400
Received: from mail-wm0-f53.google.com ([74.125.82.53]:36905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <athird@HIDDEN>)
 id 1b5dwo-0005yc-JH; Wed, 25 May 2016 14:54:27 -0400
Received: by mail-wm0-f53.google.com with SMTP id z87so73788664wmh.0;
 Wed, 25 May 2016 11:54:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=+CkdTKgSJf7J7SeyeMLDU4mhp1830lzkcHQdTs6vbWc=;
 b=ZoxCPzrRUfYWguNZJqIJ7LTLvWxqh3SrbPy/Q12L6NYlGW90O9+z7UBEYJV2SyjvQe
 kWxaJbY6cQE4KDXvrOB4XNhBZU1/OGdkVOaLYDHqOGHfnPEAVTCF7R/8PMHGWqG0689g
 Ct2RekXlTyvCwg0zClcxgK+iC5Xtwz+N8RRYYi7g+E48ZOMdxly1Lb00MTDuFw0qzHjW
 ScZik60YW4tXewqra0Xyh/ffTyvP5kazpP4roCU1CA8FrK/i9Lb9cyL2NMPJpv3yiuam
 DJi7/drdmvjUq3R2SojItXywpZRxUMDGtvMSwB+1hIOnZRzsERZyZ4eiUK1mCjqNqPnn
 zzWQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=+CkdTKgSJf7J7SeyeMLDU4mhp1830lzkcHQdTs6vbWc=;
 b=YBtERHT5FDsPIVmRSyNGsu2YU0BUOBDCM/p3blnu1ZRzcvdd1JHkTYWKEbhhjzMKIf
 zW66XI08u3amJgNckHMKJht6hVr66ccGPmyuXfpIgXVa6qIwBLfvUs4feiqMn1xEXYy5
 +W0A37RYivGkf1uaIh2DEW/UksFQyx7aqbO5MCu2YwWgbZOGJFKooO6TDBbd7naTzw6m
 PC0HR9vXu9f6AHEE2zuenJn570AzbEUR/mJNQ0fKrJdGfPHjeLol2aLKdMHjPE6ayPum
 y2BqtOZljQnaoiTdHeQQFvpnJCypm4LxKedTyWfS8FJwHM4Cd9M+tXtgrCNf/RAydO/D
 Q5fw==
X-Gm-Message-State: ALyK8tIqvyrlLGV9TuNnLSnFYyG5ogHgaRRIEKkzz9wWiT5c8jVnv0BfbuJBu2WPQe0lcA==
X-Received: by 10.28.56.132 with SMTP id f126mr5005574wma.96.1464202460924;
 Wed, 25 May 2016 11:54:20 -0700 (PDT)
Received: from breton.holly.idiocy.org
 (ip6-2001-08b0-03f8-8129-7175-fea4-ded1-da32.holly.idiocy.org.
 [2001:8b0:3f8:8129:7175:fea4:ded1:da32])
 by smtp.gmail.com with ESMTPSA id jq1sm10251857wjc.28.2016.05.25.11.54.19
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 25 May 2016 11:54:20 -0700 (PDT)
From: Alan Third <alan@HIDDEN>
To: Eric Hanchrow <eric.hanchrow@HIDDEN>
Subject: Re: bug#14507: 24.3;
 TAB in shell mode never ignores case, even though I want it to
References: <CAHZoxq9q_rx8Ua3EofaAtv0=SQNu8xVVdQzP=3pQseryPg89Ow@HIDDEN>
Date: Wed, 25 May 2016 19:54:19 +0100
In-Reply-To: <CAHZoxq9q_rx8Ua3EofaAtv0=SQNu8xVVdQzP=3pQseryPg89Ow@HIDDEN>
 (Eric Hanchrow's message of "Wed, 29 May 2013 10:37:30 -0700")
Message-ID: <m2d1oa6k9w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 14243
Cc: 14507 <at> debbugs.gnu.org, 14243 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Eric Hanchrow <eric.hanchrow@HIDDEN> writes:

> I started emacs with 
>
> /Applications/Emacs.app/Contents/MacOS/Emacs -Q
>
> I typed M-x shell RET
>
> At the shell prompt, I typed "cd doc", then I hit the TAB key. The
> shell's current directory was my home directory, and that directory
> contains a subdirectory named "Documents". I expected the TAB key to
> complete the name "Documents", but it just beeped. I then did M-: (setq
> completion-ignore-case t) RET, and tried again, but it still just
> beeped.

Hi, sorry it's taken so long for someone to get back to you, but this
isn't Emacs's filename completion, this is the shells. Probably bash.
I'm afraid I can't help you with that.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14243; Package emacs. Full text available.
Merged 14243 14507. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Apr 2013 16:23:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 22 12:23:34 2013
Received: from localhost ([127.0.0.1]:37316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UUJWe-0000z3-BA
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2013 12:23:34 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58572)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <ua2y-rti1@HIDDEN>) id 1UUHsa-0003JF-J0
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2013 10:38:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ua2y-rti1@HIDDEN>) id 1UUHnm-00050S-Js
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2013 10:33:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.8 required=5.0 tests=BAYES_50,
	FREEMAIL_ENVFROM_END_DIGIT, FREEMAIL_FROM, FSL_HELO_BARE_IP_2,
	RDNS_DYNAMIC autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:36378)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ua2y-rti1@HIDDEN>) id 1UUHnm-00050O-H3
	for submit <at> debbugs.gnu.org; Mon, 22 Apr 2013 10:33:06 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41662)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ua2y-rti1@HIDDEN>) id 1UUHnj-0008CS-9L
	for bug-gnu-emacs@HIDDEN; Mon, 22 Apr 2013 10:33:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <ua2y-rti1@HIDDEN>) id 1UUHnb-0004wu-DX
	for bug-gnu-emacs@HIDDEN; Mon, 22 Apr 2013 10:33:03 -0400
Received: from ec2-107-23-136-169.compute-1.amazonaws.com
	([107.23.136.169]:50586 helo=mail01.spamex.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <ua2y-rti1@HIDDEN>) id 1UUHgf-0002J8-NI
	for bug-gnu-emacs@HIDDEN; Mon, 22 Apr 2013 10:25:46 -0400
Received: from 10.0.0.143 (unknown [10.0.0.202])
	by mail01.spamex.com (Postfix) with ESMTP id 9FBA61058
	for <bug-gnu-emacs@HIDDEN>; Mon, 22 Apr 2013 13:49:20 +0000 (UTC)
Content-type: text/plain
Date: Mon, 22 Apr 2013 09:49:03 -0400
From: ua2y-rti1@HIDDEN
Subject: 24.3; Shell mode file name expansion case-sensitive on Mac OS X
To: bug-gnu-emacs@HIDDEN
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
Message-ID: <E1UUHgf-0002J8-NI@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 22 Apr 2013 12:23:30 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.9 (----)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

/Applications/Emacs.app/Contents/MacOS/Emacs -Q
M-x shell<RET>
ls /a<TAB>

Get "No match."  Should expand into "ls /Applications/"

read-file-name-completion-ignore-case is t
system-type is darwin

Possibly related:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14175

Expansion ignored case in Emacs 23.3-universal-10.6.6


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/Applications/Emacs.app/Contents/Resources/etc/DEBUG.


In GNU Emacs 24.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
 of 2013-03-12 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1138
Configured using:
 `configure '--host=x86_64-apple-darwin' '--build=i686-apple-darwin'
 '--with-ns' 'build_alias=i686-apple-darwin'
 'host_alias=x86_64-apple-darwin' 'CC=gcc -mmacosx-version-min=10.7
 -isystem
 /Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/usr/include/
 -F/Users/david/Xcode-10.7_4.5.2/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk/System/Library/Frameworks''

Important settings:
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x s t a r t u p <return> C-x 4 b * s c <tab> <return> 
C-h v c o m p l e t i o n - i <tab> g <tab> - c <tab> 
<return> ( s e t q SPC C-x o C-SPC M-f M-f M-f M-w 
C-x o C-y SPC t ) <return> <backspace> C-j C-x 4 b 
<return> d SPC / a <tab> C-x C-f t / 1 9 6 8 <return> 
M-> M - x SPC s h e l l SPC R E T <return> l s SPC 
/ a C-p C-e M-b <backspace> < C-e > C-n < T A B > <return> 
<return> G e t SPC " N o SPC m a t h <backspace> c 
h . " SPC SPC S h o u l d SPC e x p a n d SPC i n t 
o SPC " l s SPC C-x 4 b <return> M-b C-b C-SPC C-e 
M-w C-x o C-y " C-o M-> <return> C-h v r e a d - f 
<tab> c <tab> <return> C-x o C-SPC M-f M-f M-f M-f 
M-f M-f M-f M-w C-x o C-y SPC t <return> C-h v s y 
s <tab> t <tab> y <tab> <return> C-x o C-SPC M-f M-f 
M-f M-w C-x o C-y SPC C-x o C-n C-b C-SPC C-e M-w C-x 
o C-y <return> C-x C-s C-x 4 b C-g C-x 4 f 0 0 <tab> 
<return> M-> C-p C-p C-p C-SPC C-n M-w C-x o <return> 
C-y C-p C-o P o s s i b l y SPC r e l a t e d : M-> 
C-x C-s M-< C-f C-f C-f C-SPC C-e M-w M-x r e p o r 
t <tab> <return>

Recent messages:
Mark activated
Mark set [3 times]
Saving file /Users/xxxxxx/t/1968...
Wrote /Users/xxxxxx/t/1968
Quit
Mark set [3 times]
Auto-saving...done
Mark set
Saving file /Users/xxxxxx/t/1968...
Wrote /Users/xxxxxx/t/1968

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-mode easymenu help-fns vc vc-dispatcher
jka-compr dabbrev cc-styles cc-align cc-engine cc-vars cc-defs shell
pcomplete comint ansi-color ring time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process ns multi-tty emacs)





Acknowledgement sent to ua2y-rti1@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14243; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.